Subject: bug#6855: 24.0.50; Bug in tool bar label handling

From: Jan Djärv <[email-masked]>
Date: Sun, 15 Aug 2010 12:21:37 +0200

Andreas Schwab skrev 2010-08-15 10.51:
> Jan Djärv<[email-masked]>  writes:
>
>> We kind of assume people do the sensible thing and put in strings.  It is the
>> same as for help and image.  If Emacs crashes because somebody didn't put
>> in a string, that is actually a good thing IMHO.  The error becomes very
>> apparent then.
>
> I don't agree.  Emacs should be robust against type mismatches, crashing
> is the worst possible reaction.

If the documentation states that one should use STRING, and somebody puts in 
nil or a lambda expression or a symbol, that is a usage error.  Being robust 
against this kind of error by ignoring the faulty input just hides the error 
and makes people think it is OK to misuse things.  Better then to crash, that 
way action is usually taken at once.  Hidden errors can linger for years...

	Jan D.